Skip to main content

Documentation Index

Fetch the complete documentation index at: https://gusto-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

You can generate a manage payroll schedule Flow via API call to our Flows endpoint.
curl --request POST \
         --url https://api.gusto-demo.com/v1/companies/{{company_uuid}}/flows \
         --header 'Authorization: Bearer {{access_token}}’' \
         --header 'Content-Type: application/json' \
       --data '
{
         "flow_type": "manage_payroll_schedule"
}

1. Choose a pay schedule type to assign

There are 4 pay schedule types to choose from - everyone on one schedule, by compensation, by department and by employee. If the company does not have a pay schedule, it will prompt them to create a new pay schedule with everyone on one schedule. After that, users can configure multiple pay schedules if desired.

2. Assign a pay schedule to each group

This page will look different depending on which pay schedule type is selected. There is also an option to add a new pay schedule.

3. Review your changes and submit

This will show which pay schedule each employee is assigned to.

4. Double check the pay schedule assignment page

After submitting the new pay schedule assignments, the admin can review that the assigned pay schedules are correct. They can also:
  • Preview the future pay dates for each active pay schedule
  • Edit the pay schedule
  • Edit the schedule type assignment

Manage Pay Schedules via API Generate Printable Paper Checks